/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __FANOTIFYTRACE_BPF_SKEL_H__
#define __FANOTIFYTRACE_BPF_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct fanotifytrace_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *args_map;
		struct bpf_map *fanotify_events;
	} maps;
	struct {
		struct bpf_program *handle_raw_sys_enter;
	} progs;
	struct {
		struct bpf_link *handle_raw_sys_enter;
	} links;
};

static void
fanotifytrace_bpf__destroy(struct fanotifytrace_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
fanotifytrace_bpf__create_skeleton(struct fanotifytrace_bpf *obj);

static inline struct fanotifytrace_bpf *
fanotifytrace_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct fanotifytrace_bpf *obj;

	obj = (struct fanotifytrace_bpf *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (fanotifytrace_bpf__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	fanotifytrace_bpf__destroy(obj);
	return NULL;
}

static inline struct fanotifytrace_bpf *
fanotifytrace_bpf__open(void)
{
	return fanotifytrace_bpf__open_opts(NULL);
}

static inline int
fanotifytrace_bpf__load(struct fanotifytrace_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct fanotifytrace_bpf *
fanotifytrace_bpf__open_and_load(void)
{
	struct fanotifytrace_bpf *obj;

	obj = fanotifytrace_bpf__open();
	if (!obj)
		return NULL;
	if (fanotifytrace_bpf__load(obj)) {
		fanotifytrace_bpf__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
fanotifytrace_bpf__attach(struct fanotifytrace_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
fanotifytrace_bpf__detach(struct fanotifytrace_bpf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
fanotifytrace_bpf__create_skeleton(struct fanotifytrace_bpf *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "fanotifytrace_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "args_map";
	s->maps[0].map = &obj->maps.args_map;

	s->maps[1].name = "fanotify_events";
	s->maps[1].map = &obj->maps.fanotify_events;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handle_raw_sys_enter";
	s->progs[0].prog = &obj->progs.handle_raw_sys_enter;
	s->progs[0].link = &obj->links.handle_raw_sys_enter;

	s->data_sz = 4064;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x60\x0c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\xbf\x16\0\0\0\0\0\0\xb7\x07\0\0\0\0\0\0\x63\x7a\xfc\xff\0\0\0\0\xbf\xa2\
\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\x01\0\0\0\x79\x68\x08\0\0\0\0\0\x7b\x7a\xc8\xff\0\0\0\0\xbf\xa1\0\0\
\0\0\0\0\x07\x01\0\0\xc8\xff\xff\xff\xb7\x02\0\0\x08\0\0\0\xbf\x03\0\0\0\0\0\0\
\x85\0\0\0\x04\0\0\0\x79\xa1\xc8\xff\0\0\0\0\x5d\x18\x19\0\0\0\0\0\x7b\x7a\xf0\
\xff\0\0\0\0\x7b\x7a\xe8\xff\0\0\0\0\x7b\x7a\xe0\xff\0\0\0\0\x7b\x7a\xd8\xff\0\
\0\0\0\x7b\x7a\xd0\xff\0\0\0\0\x7b\x7a\xc8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\
\x01\0\0\xcc\xff\xff\xff\xb7\x02\0\0\x10\0\0\0\x85\0\0\0\x10\0\0\0\x85\0\0\0\
\x0e\0\0\0\x63\x0a\xc8\xff\0\0\0\0\x85\0\0\0\x05\0\0\0\x7b\x0a\xe0\xff\0\0\0\0\
\x79\x61\x08\0\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\
\xc8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\x03\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\xb7\x05\0\0\x30\0\0\0\x85\0\0\0\x19\0\
\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x08\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\
\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x80\x02\0\0\x80\x02\0\0\x5d\x03\0\0\0\0\0\0\
\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\0\0\0\0\0\x03\0\0\x04\x18\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\
\0\0\x40\0\0\0\x27\0\0\0\x01\0\0\0\x80\0\0\0\x32\0\0\0\0\0\0\x0e\x05\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\x42\0\0\0\x04\0\0\x04\x40\0\0\0\x54\0\0\0\
\x09\0\0\0\0\0\0\0\x58\0\0\0\x0c\0\0\0\x40\0\0\0\x5b\0\0\0\x0e\0\0\0\x80\0\0\0\
\x60\0\0\0\x10\0\0\0\0\x02\0\0\x67\0\0\0\x04\0\0\x04\x08\0\0\0\x19\0\0\0\x0a\0\
\0\0\0\0\0\0\x73\0\0\0\x0b\0\0\0\x10\0\0\0\x79\0\0\0\x0b\0\0\0\x18\0\0\0\x87\0\
\0\0\x02\0\0\0\x20\0\0\0\x8b\0\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\x9a\0\0\0\0\0\
\0\x01\x01\0\0\0\x08\0\0\0\xa8\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xad\0\0\0\
\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0d\0\0\0\x04\0\0\0\
\x06\0\0\0\xbb\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x0f\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xc0\0\0\0\x07\0\0\0\
\xc4\0\0\0\x01\0\0\x0c\x11\0\0\0\x0a\x03\0\0\x05\0\0\x04\x14\0\0\0\x19\0\0\0\
\x14\0\0\0\0\0\0\0\x1e\0\0\0\x14\0\0\0\x20\0\0\0\x27\0\0\0\x14\0\0\0\x40\0\0\0\
\x16\x03\0\0\x14\0\0\0\x60\0\0\0\x22\x03\0\0\x14\0\0\0\x80\0\0\0\x2c\x03\0\0\0\
\0\0\x01\x04\0\0\0\x20\0\0\0\x39\x03\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x0f\0\0\0\x04\0\0\0\x04\0\0\0\x42\x03\0\0\0\0\0\x0e\x16\0\0\
\0\x01\0\0\0\x4a\x03\0\0\x01\0\0\x0f\0\0\0\0\x06\0\0\0\0\0\0\0\x18\0\0\0\x50\
\x03\0\0\x01\0\0\x0f\0\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\x58\x03\0\0\x01\0\0\
\x0f\0\0\0\0\x15\0\0\0\0\0\0\0\x14\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\
\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\
\x66\x61\x6e\x6f\x74\x69\x66\x79\x5f\x65\x76\x65\x6e\x74\x73\0\x72\x61\x77\x5f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x61\x72\x67\0\x65\x6e\x74\0\x69\x64\0\
\x61\x72\x67\x73\0\x5f\x5f\x64\x61\x74\x61\0\x74\x72\x61\x63\x65\x5f\x65\x6e\
\x74\x72\x79\0\x66\x6c\x61\x67\x73\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x63\x6f\
\x75\x6e\x74\0\x70\x69\x64\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\
\x72\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x6c\x6f\x6e\
\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x63\x68\x61\x72\0\
\x63\x74\x78\0\x68\x61\x6e\x64\x6c\x65\x5f\x72\x61\x77\x5f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\0\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\
\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x73\x79\x73\x61\x6b\x2d\
\x32\x2e\x30\x2e\x30\x2f\x73\x6f\x75\x72\x63\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x64\x65\x74\x65\x63\x74\x2f\x66\x73\x2f\x66\x61\x6e\x6f\x74\x69\x66\x79\x74\
\x72\x61\x63\x65\x2f\x62\x70\x66\x2f\x66\x61\x6e\x6f\x74\x69\x66\x79\x74\x72\
\x61\x63\x65\x2e\x62\x70\x66\x2e\x63\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\
\x5f\x72\x61\x77\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x28\x73\x74\x72\x75\
\x63\x74\x20\x72\x61\x77\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x61\x72\
\x67\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\x70\x69\x64\x2c\x20\x69\x20\
\x3d\x20\x30\x3b\0\x09\x61\x72\x67\x70\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\
\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x67\x73\x5f\
\x6d\x61\x70\x2c\x20\x26\x69\x29\x3b\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\
\x69\x64\x20\x3d\x3d\x20\x5f\x28\x61\x72\x67\x70\x2d\x3e\x73\x79\x73\x63\x61\
\x6c\x6c\x69\x64\x29\x29\x7b\0\x09\x09\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\
\x6d\x65\x6d\x73\x65\x74\x28\x26\x6e\x65\x77\x31\x2c\x20\x30\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x74\x61\x73\x6b\x5f\x69\x6e\
\x66\x6f\x29\x29\x3b\0\x09\x09\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\
\x65\x6e\x74\x5f\x63\x6f\x6d\x6d\x28\x6e\x65\x77\x31\x2e\x63\x6f\x6d\x6d\x2c\
\x54\x41\x53\x4b\x5f\x43\x4f\x4d\x4d\x5f\x4c\x45\x4e\x29\x3b\0\x09\x09\x6e\x65\
\x77\x31\x2e\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\
\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x3b\0\x09\x09\
\x6e\x65\x77\x31\x2e\x74\x69\x6d\x65\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\x69\
\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x3b\0\x09\x09\x6e\x65\x77\x31\x2e\
\x73\x79\x73\x63\x61\x6c\x6c\x69\x64\x20\x3d\x20\x63\x74\x78\x2d\x3e\x69\x64\
\x3b\0\x09\x09\x09\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\
\x6f\x75\x74\x70\x75\x74\x28\x63\x74\x78\x2c\x20\x26\x66\x61\x6e\x6f\x74\x69\
\x66\x79\x5f\x65\x76\x65\x6e\x74\x73\x2c\x20\x42\x50\x46\x5f\x46\x5f\x43\x55\
\x52\x52\x45\x4e\x54\x5f\x43\x50\x55\x2c\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\
\x3b\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x64\x65\x66\0\x6d\x61\x78\x5f\x65\x6e\
\x74\x72\x69\x65\x73\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x61\x72\x67\x73\x5f\x6d\x61\x70\0\x4c\x49\
\x43\x45\x4e\x53\x45\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6d\
\x61\x70\x73\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x5c\
\x01\0\0\x70\x01\0\0\0\0\0\0\x08\0\0\0\xd9\0\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\
\x10\0\0\0\xd9\0\0\0\x15\0\0\0\0\0\0\0\xf3\0\0\0\x52\x01\0\0\0\xa4\0\0\x10\0\0\
\0\xf3\0\0\0\x8a\x01\0\0\x0b\xb0\0\0\x20\0\0\0\xf3\0\0\0\0\0\0\0\0\0\0\0\x28\0\
\0\0\xf3\0\0\0\x9b\x01\0\0\x09\xcc\0\0\x40\0\0\0\xf3\0\0\0\xc7\x01\0\0\x0b\xd0\
\0\0\x48\0\0\0\xf3\0\0\0\xc7\x01\0\0\x11\xd0\0\0\x58\0\0\0\xf3\0\0\0\0\0\0\0\0\
\0\0\0\x60\0\0\0\xf3\0\0\0\xc7\x01\0\0\x11\xd0\0\0\x80\0\0\0\xf3\0\0\0\xc7\x01\
\0\0\x06\xd0\0\0\x88\0\0\0\xf3\0\0\0\xec\x01\0\0\x03\xd4\0\0\xb8\0\0\0\xf3\0\0\
\0\x24\x02\0\0\x1d\xd8\0\0\xc8\0\0\0\xf3\0\0\0\x24\x02\0\0\x03\xd8\0\0\xd8\0\0\
\0\xf3\0\0\0\x55\x02\0\0\x0e\xdc\0\0\xe0\0\0\0\xf3\0\0\0\x55\x02\0\0\x0c\xdc\0\
\0\xe8\0\0\0\xf3\0\0\0\x7e\x02\0\0\x0f\xe0\0\0\xf0\0\0\0\xf3\0\0\0\x7e\x02\0\0\
\x0d\xe0\0\0\xf8\0\0\0\xf3\0\0\0\xa0\x02\0\0\x19\xe4\0\0\0\x01\0\0\xf3\0\0\0\
\xa0\x02\0\0\x12\xe4\0\0\x10\x01\0\0\xf3\0\0\0\xec\x01\0\0\x03\xd4\0\0\x18\x01\
\0\0\xf3\0\0\0\xbc\x02\0\0\x04\xe8\0\0\x50\x01\0\0\xf3\0\0\0\xff\x02\0\0\x02\
\xf4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9d\0\0\0\0\0\x03\0\x50\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x2a\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x60\x01\0\0\0\0\0\0\x5d\
\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x14\0\0\0\x11\0\x06\0\0\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x95\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\
\x05\0\0\0\x60\x02\0\0\0\0\0\0\x04\0\0\0\x05\0\0\0\x78\x02\0\0\0\0\0\0\x04\0\0\
\0\x06\0\0\0\x90\x02\0\0\0\0\0\0\x04\0\0\0\x04\0\0\0\x2c\0\0\0\0\0\0\0\x04\0\0\
\0\x01\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x50\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x70\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x90\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xb0\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\xc0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xd0\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\xe0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xf0\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x10\x01\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x20\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x30\x01\0\0\0\0\0\0\x04\0\0\
\0\x01\0\0\0\x40\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x50\x01\0\0\0\0\0\0\x04\0\
\0\0\x01\0\0\0\x60\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x70\x01\0\0\0\0\0\0\x04\
\0\0\0\x01\0\0\0\x80\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x0a\x0b\x0c\x0d\0\x2e\
\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x66\x61\
\x6e\x6f\x74\x69\x66\x79\x5f\x65\x76\x65\x6e\x74\x73\0\x2e\x6d\x61\x70\x73\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x72\x61\x77\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\0\x2e\x72\x65\x6c\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\
\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x61\x72\x67\x73\x5f\x6d\x61\x70\
\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\
\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\x4e\x53\x45\0\x4c\x42\x42\x30\x5f\
\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7c\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbc\x0b\0\0\0\0\0\0\xa4\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x60\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x3f\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x0a\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x25\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\
\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xd4\x01\0\0\0\0\0\0\xf5\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x28\x0a\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x0d\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcc\x07\
\0\0\0\0\0\0\x90\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x07\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x0a\0\0\0\0\0\0\
\x60\x01\0\0\0\0\0\0\x0d\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x66\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x0b\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x09\0\0\0\0\0\0\xa8\0\0\0\0\0\
\0\0\x01\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __FANOTIFYTRACE_BPF_SKEL_H__ */
